Bug 11208 - kernel-image-ovz-smp-2.6.18-alt12 missing some critical fixes included in kernel-image-std-smp-2.6.18-alt5
: kernel-image-ovz-smp-2.6.18-alt12 missing some critical fixes included in ker...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel-image-ovz-smp)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-25 19:40 by
Modified: 2008-03-15 22:35 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-25 19:40:50
Хотя в changelog пакета kernel-image-ovz-smp-2.6.18-alt12 указано "Sync with
kernel-image-std-smp 2.6.18-alt5", на самом деле некоторые исправления,
присутствующие в kernel-image-std-smp-2.6.18-alt5, отсутствуют в
kernel-image-ovz-smp-2.6.18-alt12:

commit 8c3d6344257c9cf154b9a6dbee242245750b88e5
[IPV6]: Handle np->opt being NULL in ipv6_getsockopt_sticky().
(fix-net--ipv6; CVE-2007-1000)

commit 4f97c342bd5fcb45a26f5cbf886d1571a34877cc
Keys: Fix key serial number collision handling
(fix-security--keys; CVE-2007-0006)

Как минимум из-за отсутствия второго исправления есть жалобы на oops под
нагрузкой.

Кроме того, отсутствует группа из 3 патчей из fix-net--ip
(ec032ed67b8884ecb4e5c121dcdedac2d6a3b5bb), исправляющих потенциальные проблемы
при инициализации IPv4/v6 интерфейсов.
------- Comment #1 From 2007-03-25 19:41:54 -------
to ovz maintainer
------- Comment #2 From 2007-04-05 04:44:06 -------
Короче говоря, серверный дистрибутив не выйдет, пока эта ошибка не будет
исправлена.  С момента обнаружения ошибки прошло 10 дней.  Сергей, выручай.
------- Comment #3 From 2007-04-06 00:31:13 -------
(In reply to comment #2)
> Короче говоря, серверный дистрибутив не выйдет, пока эта ошибка не будет
> исправлена.  С момента обнаружения ошибки прошло 10 дней.  Сергей, выручай.
Согласно
http://git.altlinux.org/people/lakostis/packages/?p=kernel-image-2.6.18.git;a=commit;h=29672a4787ed8a8cf9169d8505d9a11e52fa5b9f
прошло 7 дней ;)

Собственно, kernel-image-ovz-smp-2.6.18-alt13 (где данная ошибка исправлена) уже
готов и проходит тестирование
------- Comment #4 From 2007-04-07 01:14:33 -------
Баг висит с 2007-03-25, сегодня 2007-04-07, а пакета в Сизифе ещё нет.
Ядро, предназначенное для релиза, должно быть опубликовано в Сизифе не менее
чем
за 5 рабочих дней до релиза с тем, чтобы пройти хотя бы минимальное
тестирование.
------- Comment #5 From 2007-04-07 19:03:00 -------
В понедельник (у нас выходной) постараюсь перетащить на него конторский сервер,
чтобы вытоптать под нагрузкой.
------- Comment #6 From 2007-04-07 22:29:17 -------
(In reply to comment #4)
> Баг висит с 2007-03-25, сегодня 2007-04-07, а пакета в Сизифе ещё нет.
> Ядро, предназначенное для релиза, должно быть опубликовано в Сизифе не менее чем
> за 5 рабочих дней до релиза с тем, чтобы пройти хотя бы минимальное тестирование.
> 
Минимальное тестирование вполне по силам машинам в офисе и у меня на площадках.
В воскресенье ядро пойдет в сизиф.

PS Задержка в выкладывании была вызвана ожиданием пока upstream OpenVZ починит
разломаный планировщик в stab024-026. Теперь от них я получил подтверждение, что
они это сделали. Ну и из-за бага, указанного ниже.

(In reply to comment #5)
> В понедельник (у нас выходной) постараюсь перетащить на него конторский сервер,
> чтобы вытоптать под нагрузкой.
Собственно, там уже все вытоптано, так что разве что подтверди, что
воспроизводится http://bugzilla.openvz.org/show_bug.cgi?id=532
------- Comment #7 From 2007-05-07 00:05:37 -------
Fixed in kernel-image-ovz-smp-2.6.18-alt13.